<?php

/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class VirtualmoneyHelperCurrency {
    
	protected static function genericlist($list, $name, $attribs, $selected, $idTag)
	{
		if(empty($attribs))
		{
			$attribs = null;
		}
		else
		{
			$temp = '';
			foreach($attribs as $key=>$value)
			{
				$temp .= $key.' = "'.$value.'"';
			}
			$attribs = $temp;
		}

		return JHTML::_('select.genericlist', $list, $name, $attribs, 'value', 'text', $selected, $idTag);
	}
	
	public static function invoiceCurrency($name = 'currency_id', $selected = 0, $attribs = array())
	{
        $db = JFactory::getDBO();
        
        $sql = "SELECT *
                FROM #__invoicing_currencies
                ORDER BY code";
        $db->setQuery($sql);
        $currencies = $db->loadObjectList();
        $options = array();
        $options[] = JHTML::_('select.option','','- '.JText::_('COM_VIRTUALMONEY_COMMON_SELECT_CURRENCY').' -');
        foreach($currencies as $currency) {
            $options[] = JHTML::_('select.option',$currency->invoicing_currency_id,$currency->code);
        }

        $html = self::genericlist($options, $name, $attribs, $selected, $name);

		return $html;
	}
    
    public static function getCurrency($currencyId){
        $db = JFactory::getDBO();
        
        $sql = "SELECT *
                FROM #__invoicing_currencies
                WHERE invoicing_currency_id = ".$db->Quote($currencyId)."
                ORDER BY code";
        $db->setQuery($sql);
        $currency = $db->loadObject();
        
        return $currency;
    }
}