<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}

$this->loadHelper('cparams');
$this->loadHelper('format');
$this->loadHelper('currency');

$hasAjaxOrderingSupport = $this->hasAjaxOrderingSupport();
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<input type="hidden" name="option" value="com_virtualmoney" />
<input type="hidden" name="view" value="packs" />
<input type="hidden" id="task" name="task" value="browse" />
<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
<?php echo JHTML::_( 'form.token' ); ?>

<table class="adminlist table table-striped" id="itemsList">
	<thead>
		<tr>
			<th>
				<?php echo JHTML::_('grid.sort', 'Num', 'virtualmoney_pack_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th></th>
			<th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_PACK_TITLE', 'title', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_PACK_PRICE', 'price', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural, 'credits', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_PACK_CURRENCY', 'currency_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_PACK_ORDERING', 'ordering', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>            
			<th width="8%">
			<?php echo JText::_('JENABLED');?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="20">
				<?php if($this->pagination->total > 0) echo $this->pagination->getListFooter() ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
		<?php if($count = count($this->items)): ?>
		<?php $i = -1; $m = 0; ?>
		<?php foreach ($this->items as $pack) : ?>
		<?php
			$i++; $m = 1-$m;
			$checkedOut = false;
			$ordering = $this->lists->order == 'ordering';
            $pack->published = $pack->enabled;
		?>
		<tr class="<?php echo  'row'.$m; ?>">
			<td align="center">
				<?php echo $pack->virtualmoney_pack_id; ?>
			</td>
			<td align="center">
				<?php echo JHTML::_('grid.id', $i, $pack->virtualmoney_pack_id, $checkedOut); ?>
			</td>
			<td align="center">
                <a href="index.php?option=com_virtualmoney&view=pack&id=<?php echo $pack->virtualmoney_pack_id; ?>">
                    <strong><?php echo  JText::_($this->escape($pack->title)) ?></strong>
                </a>
			</td>
            <td align="center">
				<?php echo $this->escape($pack->price) ?>
			</td>
			<td align="center">
				<?php echo VirtualmoneyHelperFormat::formatPrice($this->escape($pack->credits)); ?>
			</td>
            <td align="center">
				<?php
                    if(VirtualmoneyHelperCurrency::getCurrency($pack->currency_id) != null){
                        echo $this->escape(VirtualmoneyHelperCurrency::getCurrency($pack->currency_id)->code);
                    }else{
                        echo JText::_('COM_VIRTUALMONEY_ERROR');
                    }
                ?>
			</td>
			<td align="center">
				<?php echo $this->escape($pack->ordering) ?>
			</td>
            <td align="center">
				<?php echo JHTML::_('grid.published', $pack, $i); ?>
			</td>
		</tr>
		<?php endforeach; ?>	
		<?php else: ?>
		<tr>
			<td colspan="20">
				<?php echo  JText::_('COM_VIRTUALMONEY_COMMON_NORECORDS') ?>
			</td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>

</form>