<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomProd
 *  @license GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();
include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/format.php');
include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/cparams.php');
include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/controllers/default.php');

class VirtualmoneyControllerTransactions extends VirtualmoneyControllerDefault
{
    /**
     * Return true to avoid a 403 error
     *
     * @return boolean
     */
    public function onBeforeBrowse()
	{
        $user = JFactory::getUser();

        //If the user isn't registered, we display the login page
        if($user->guest) {
            $app = JFactory::getApplication();
            $juri = JURI::getInstance();
			$myURI = base64_encode($juri->toString());
            $com = version_compare(JVERSION, '1.6.0', 'ge') ? 'users' : 'user';
			JFactory::getApplication()->redirect(JURI::base().'index.php?option=com_'.$com.'&view=login&return='.$myURI);
        }
		return true;
	}
}
