<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomProd
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();
include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/format.php');
include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/cparams.php');

class VirtualmoneyModelTransactions extends FOFModel
{
    /**
     * 
     * @return object
     */
    public function getPagination()
	{
		if( empty($this->pagination) )
		{
			// Import the pagination library
			jimport('joomla.html.pagination');
			

			// Prepare pagination values
			$total = $this->getTotal();
			$limitstart = $this->getState('limitstart');
			$limit  = VirtualmoneyHelperCparams::getParam('number_items_per_page',0);
			$limit = (int)$limit;

			// Create the pagination object
			$this->pagination = new JPagination($total, $limitstart, $limit);
		}

		return $this->pagination;
	}
	
    /**
     * Return the total numbre of transation for the user
     * 
     * @return int
     */
	public function getTotal()
	{
		if( empty($this->total) )
		{
			$userid = JFactory::getUser()->id;
			$query = "SELECT count(*) FROM #__virtualmoney_transactions WHERE user_id = $userid";
			if($query === false) {
				$sql = (string)$this->buildQuery(false);
				$query = FOFQueryAbstract::getNew($this->_db)
						->select('COUNT(*)')
						->from("($sql) AS a");
			}

			$this->_db->setQuery( (string)$query );
			$this->_db->query();

			$this->total = $this->_db->loadResult();
		}

		return $this->total;
	}
		
}