<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}

$this->loadHelper('select');
$this->loadHelper('cparams');
$this->loadHelper('format');
$this->loadHelper('user');

$hasAjaxOrderingSupport = $this->hasAjaxOrderingSupport();

if(file_exists(JPATH_ROOT.'/components/com_comprofiler/')) {
    $cb = true;
} else {
    $cb = false;
}

?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<input type="hidden" name="option" value="com_virtualmoney" />
<input type="hidden" name="view" value="transactions" />
<input type="hidden" id="task" name="task" value="browse" />
<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
<?php echo JHTML::_( 'form.token' ); ?>

<input type="text" name="search" id="search"
	value="<?php echo $this->escape($this->getModel()->getState('search',''));?>"
	class="input-medium" onchange="document.adminForm.submit();"
	placeholder="<?php echo JText::_('COM_VIRTUALMONEY_COMMON_SEARCH')?>"
	/>
	
<nobr>
	
<button class="btn btn-mini" onclick="this.form.submit();">
	<?php echo JText::_('JSEARCH_FILTER'); ?>
</button>
<button class="btn btn-mini" onclick="document.adminForm.search.value='';this.form.submit();">
	<?php echo JText::_('JSEARCH_RESET'); ?>
</button>

</nobr>

<div class="filter-select fltrt">
<?php echo JHTML::_('calendar',$this->escape($this->getModel()->getState('dateFilterFrom','')), "dateFilterFrom", "dateFilterFrom", "%Y-%m-%d");?>
<?php echo JHTML::_('calendar',$this->escape($this->getModel()->getState('dateFilterTo','')), "dateFilterTo", "dateFilterTo", "%Y-%m-%d");?>
</div>
</nobr>

<table class="adminlist table table-striped" id="itemsList">
	<thead>
		<tr>
			<th>
				<?php echo JHTML::_('grid.sort', 'Num', 'virtualmoney_transaction_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_TRANSACTION_USER_ID', 'user_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort', VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural, 'credits', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_TRANSACTION_BALANCE', 'balance', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_TRANSACTION_CREATED_ON', 'created_on', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th width="40%">
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_TRANSACTION_DESCRIPTION', 'description', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_TRANSACTION_TYPE', 'type', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_TRANSACTION_TYPE_ID', 'type_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_TRANSACTION_AD_ID', 'ad_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="20">
				<?php if($this->pagination->total > 0) echo $this->pagination->getListFooter() ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
		<?php if($count = count($this->items)): ?>
		<?php $i = -1; $m = 0; ?>
		<?php foreach ($this->items as $transaction) : ?>
		<?php
			$i++; $m = 1-$m;
			$checkedOut = false;
			$ordering = $this->lists->order == 'ordering';
		?>
		<tr class="<?php echo  'row'.$m; ?>">
			<td align="center">
				<?php echo $transaction->virtualmoney_transaction_id; ?>
			</td>
			<td align="center">
                <?php
                    if($cb) {
                        $linkUser = 'index.php?option=com_comprofiler&task=edit&cid='.$transaction->user_id;
                    } else {
                        $linkUser = 'index.php?option=com_users&task=user.edit&id='.$transaction->user_id;
                    }
                    echo  '<a href="'.$linkUser.'" >'.$this->escape(VirtualmoneyHelperUser::getUsername($transaction->user_id)).'</a>';
                ?>
			</td>
			<td align="center">
				<?php echo VirtualmoneyHelperFormat::formatPrice($this->escape($transaction->credits)); ?>
			</td>
			<td align="center">
				<?php echo VirtualmoneyHelperFormat::formatPrice($this->escape($transaction->balance)); ?>
			</td>
            <td align="center">
				<?php echo $this->escape($transaction->created_on) ?>
			</td>
            <td align="center">
					<strong><?php echo JText::_($this->escape($transaction->description)) ?></strong>
			</td>
            <td align="center">
				<?php echo JText::_($this->escape($transaction->type)) ?>
			</td>
            <td align="center">
				<?php echo $this->escape($transaction->type_id) ?>
			</td>
            <td align="center">
				<?php echo $this->escape($transaction->ad_id) ?>
			</td>
		</tr>
		<?php endforeach; ?>	
		<?php else: ?>
		<tr>
			<td colspan="20">
				<?php echo  JText::_('COM_VIRTUALMONEY_COMMON_NORECORDS') ?>
			</td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>

</form>