<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.filter.output' );

$lang = JFactory::getLanguage();
$lang->load("com_virtualmoney",JPATH_ROOT);

function getVirtualmoneyRouteCategory($id)
{
	$db =JFactory::getDBO();
	$sql = "SELECT name FROM #__virtualmoney_categories WHERE id = ".(int)$id;
	$db->setQuery($sql);
	$result = str_replace(array(" ",":","/"),array("-","-","-"),$db->loadResult());
	$result= JFilterOutput::stringURLSafe($result);
	$result = substr($result,0,30);
	return $result;
}

function getVirtualmoneyRouteContent($id)
{
	$db =JFactory::getDBO();
	$sql = "SELECT ad_headline FROM #__virtualmoney_ads WHERE id = ".(int)$id;
	$db->setQuery($sql);
	$result = str_replace(array(" ",":","/"),array("-","-","-"),$db->loadResult());
	$result= JFilterOutput::stringURLSafe($result);
	$result = substr($result,0,30);
	return $result;
}

function getVirtualmoneyUser($userid)
{
	$db =JFactory::getDBO();
	$sql = "SELECT username FROM #__users WHERE id = ".(int)$userid;
	$db->setQuery($sql);
	$result = str_replace(array(" ",":","/"),array("-","-","-"),$db->loadResult());
	$result= JFilterOutput::stringURLSafe($result);
	$result = substr($result,0,30);
	return $result;
}


function VirtualmoneyBuildRoute(&$query)
{
	$segments = array();

	if (isset($query['view']) && $query['view'] != "") {
		$segments[] = JText::_('VIRTUALMONEY_SEF_'.strtoupper($query['view']));
		unset($query["view"]);
	}
	return $segments;
}

function VirtualmoneyParseRoute($segments)
{
	$app = JFactory::getApplication();
	
	$vars = array();

	//Get the active menu item
	$menu = $app->getMenu();
	$item = $menu->getActive();
	
	$nbsegments = count($segments); 
	
	if (in_array(JText::_('VIRTUALMONEY_SEF_ACCOUNT'),$segments))
	{
		$vars["view"] = "account";
	}
	else if (in_array(JText::_('VIRTUALMONEY_SEF_EXCHANGE'),$segments))
	{
		$vars["view"] = "exchange";
	}
	else if (in_array(JText::_('VIRTUALMONEY_SEF_PACK'),$segments))
	{
		$vars["view"] = "pack";
	}
	else if (in_array(JText::_('VIRTUALMONEY_SEF_TRANSACTIONS'),$segments))
	{
		$vars["view"] = "transactions";
	}

	return $vars;
}
