<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/user.php');
include_once(JPATH_ROOT.'/components/com_virtualmoney/lib/core.php');

/**
 * 
 * @package		Joomla
 * @subpackage	Contacts
 */
class VirtualmoneyViewExchange extends FOFViewHtml
{
	public function onAdd($tpl = NULL) {
        $app = JFactory::getApplication();
        if(VirtualmoneyHelperCparams::getParam('exchange_module_enabled',0) == 1){
            $user = JFactory::getUser();
            $model = $this->getModel();

            $listUsers = VirtualmoneyHelperUser::getList();

            $credits = Virtualmoney::getCredits($user->id, false, true);
            
            $enableDescription = VirtualmoneyHelperCparams::getParam('exchange_module_description_enabled',0);
            $this->assign('enableDescription', $enableDescription);
            $this->assign('userId', $user->id);
            $this->assign('listUsers', $listUsers);
            $this->assign('credits', $credits);
        } else {
             $app->redirect( JRoute::_('index.php?option=com_virtualmoney&view=account&status=error'), JText::_('VIRTUALMONEY_EXCHANGE_NOT_ENABLED'),"message" );
        }
	}
}