<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();
$target = JRoute::_('index.php?option=com_virtualmoney&view=pack&task=gotopayment');

include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/format.php');
include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/cparams.php');
include_once(JPATH_ROOT.'/administrator/components/com_invoicing/helpers/format.php');

?>
<div class="row-fluid">
    <div class="span12">
        <fieldset>
            <legend>
    <?php 
        echo sprintf(JText::_('COM_VIRTUALMONEY_PACKS'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural); 
    ?>
            </legend>
            <form action="<?php echo $target ?>" method="post" name="adminForm" id="adminForm">
            <?php echo JHTML::_( 'form.token' ); ?>
<?php if (@$this->status == "error") {?>
<strong>
    <?php 
        // We set the fourth parameters of the function to false to avoid a double encode
        echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_PACKS_ERROR'),""), ENT_COMPAT, 'UTF-8', false);
    ?>
</strong>
<br/><br/>
<?php } ?>
<p><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_PACKS_DESCRIPTION'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural,VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural), ENT_COMPAT, 'UTF-8', false); ?></p>
<p><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_CREDITS_LEFT'),VirtualmoneyHelperFormat::formatPrice($this->credits)), ENT_COMPAT, 'UTF-8', false); ?></p>
<select name="pack_id">
<?php foreach($this->packs as $pack) {
?>
    <option value="<?php echo $pack->virtualmoney_pack_id; ?>">
        <?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_PACKS_OPTION'),InvoicingHelperFormat::formatPrice($pack->price,$pack->currency_id),VirtualmoneyHelperFormat::formatPrice($pack->credits)), ENT_COMPAT, 'UTF-8', false); ?>
    </option>
<?php 
} ?>
</select>
<br/>
<input type="submit" class="button btn" value="<?php echo JText::_('COM_VIRTUALMONEY_PACKS_BUY'); ?>" />
            </form>
        </fieldset>
    </div>
</div>
